import { NextPageContext } from 'next';
type ContextOrProps = {
    req?: NextPageContext['req'];
    res?: NextPageContext['res'];
    err?: NextPageContext['err'] | string;
    pathname?: string;
    statusCode?: number;
};
/**
 * Capture the exception passed by nextjs to the `_error` page, adding context data as appropriate.
 *
 * @param contextOrProps The data passed to either `getInitialProps` or `render` by nextjs
 */
export declare function captureUnderscoreErrorException(contextOrProps: ContextOrProps): Promise<void>;
export {};
//# sourceMappingURL=_error.d.ts.map
